GWT 2.7.0

## com.google.gwt.user.cellview.client
Interface AbstractCellTable.Template

All Superinterfaces:
  SafeHtmlTemplates

Enclosing class:
  AbstractCellTable<T>

    static interface AbstractCellTable.Template

extends SafeHtmlTemplates

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.safehtml.client.SafeHtmlTemplates
`SafeHtmlTemplates.Template`

Method Summary
`SafeHtml` | `div(SafeHtml contents)`
`SafeHtml` | `tbody(SafeHtml rowHtml)`
`SafeHtml` | `td(java.lang.String classes, SafeHtml contents)`
`SafeHtml` | `tdBothAlign(java.lang.String classes, java.lang.String hAlign, java.lang.String vAlign, SafeHtml contents)`
`SafeHtml` | `tdHorizontalAlign(java.lang.String classes, java.lang.String hAlign, SafeHtml contents)`
`SafeHtml` | `tdVerticalAlign(java.lang.String classes, java.lang.String vAlign, SafeHtml contents)`
`SafeHtml` | `tfoot(SafeHtml rowHtml)`
`SafeHtml` | `thead(SafeHtml rowHtml)`
`SafeHtml` | `tr(java.lang.String classes, SafeHtml contents)`

Method Detail

### div

    @SafeHtmlTemplates.Template(value="{0}")
    SafeHtml div(SafeHtml contents)

### tbody

    @SafeHtmlTemplates.Template(value="{0}")
    SafeHtml tbody(SafeHtml rowHtml)

### td

    @SafeHtmlTemplates.Template(value="{1}")
    SafeHtml td(java.lang.String classes,
                                                SafeHtml contents)

### tdBothAlign

    @SafeHtmlTemplates.Template(value="{3}")
    SafeHtml tdBothAlign(java.lang.String classes,
                                                         java.lang.String hAlign,
                                                         java.lang.String vAlign,
                                                         SafeHtml contents)

### tdHorizontalAlign

    @SafeHtmlTemplates.Template(value="{2}")
    SafeHtml tdHorizontalAlign(java.lang.String classes,
                                                               java.lang.String hAlign,
                                                               SafeHtml contents)

### tdVerticalAlign

    @SafeHtmlTemplates.Template(value="{2}")
    SafeHtml tdVerticalAlign(java.lang.String classes,
                                                             java.lang.String vAlign,
                                                             SafeHtml contents)

### tfoot

    @SafeHtmlTemplates.Template(value="{0}")
    SafeHtml tfoot(SafeHtml rowHtml)

### thead

    @SafeHtmlTemplates.Template(value="{0}")
    SafeHtml thead(SafeHtml rowHtml)

### tr

    @SafeHtmlTemplates.Template(value="{1}")
    SafeHtml tr(java.lang.String classes,
                                                SafeHtml contents)

GWT 2.7.0